<div class="card">
    <h4 class="card-header">Creare asistentă</h4>
    <div class="card-body">
        <form [formGroup]="createNurseForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label for="name">Nume</label>
                <input type="text" formControlName="name" id="name" class="form-control" />
                <div *ngIf="fields.name.touched && fields.name.invalid" class="alert alert-danger">
                    <div *ngIf="fields.name.errors!.required">Numele este necesar.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="hospital">Spital</label>
                <select formControlName="hospital" id="hospital" class="form-control" (change)="updateDepartments($event.target.value)">
                    <option *ngFor='let hospital of hospitals$ | async' value="{{hospital.id}}">{{hospital.name}}</option>
                </select>
                <div *ngIf="fields.hospital.touched && fields.hospital.invalid" class="alert alert-danger">
                    <div *ngIf="fields.hospital.errors!.required">Spitalul este necesar.</div>
                </div>
            </div>
            <div *ngIf="fields.hospital.value" class="form-group">
                <label for="department">Departament</label>
                <select formControlName="department" id="department" class="form-control" (change)="updateDepartmentId($event.target.value)">
                    <option *ngFor='let department of departments$ | async' value="{{department.id}}">{{department.name}}</option>
                </select>
                <div *ngIf="fields.department.touched && fields.department.invalid" class="alert alert-danger">
                    <div *ngIf="fields.department.errors!.required">Departamentul este necesar.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="position">Funcție</label>
                <input type="text" formControlName="position" id="position" class="form-control" />
                <div *ngIf="fields.position.touched && fields.position.invalid" class="alert alert-danger">
                    <div *ngIf="fields.position.errors!.required">Funcția este necesară.</div>
                </div>
            </div>
            <div class="form-group">
                <label for="email">Adresa de email</label>
                <input type="text" formControlName="email" id="email" class="form-control" />
                <div *ngIf="fields.email.touched && fields.email.invalid" class="alert alert-danger">
                    <div *ngIf="fields.email.errors!.required">Adresa de email este necesară.</div>
                    <div *ngIf="fields.email.errors!.email">Formatul adresei de email nu este corespunzător.</div>
                </div>
            </div>
            <button type="submit" [disabled]="!createNurseForm.valid" class="btn btn-primary">
                <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                Creare
            </button>
        </form>
    </div>
</div>
